Examples

POST /katello/api/content_view_versions/234564707/promote
{
  "environment_ids": [
    261162085,
    797271385
  ],
  "force": 1,
  "description": "test with multiple environment_ids outside org",
  "content_view_version": {}
}
422
{
  "message": "Validation failed: published_dev_staging_view could not be promoted to candlepin_dev_label because the content view and the environment are not in the same organization!",
  "errors": {
    "base": [
      "published_dev_staging_view could not be promoted to candlepin_dev_label because the content view and the environment are not in the same organization!"
    ]
  }
}

Params

Param name Description
id
required

Content view version identifier

Validations:

  • Must be a number.

force
optional

force content view promotion and bypass lifecycle environment restriction

Validations:

  • Must be one of: true, false, 1, 0.

environment_ids
optional

Identifiers for Lifecycle Environment

Validations:

  • Must be an array of any type

description
optional

The description for the content view version promotion

Validations:

  • String